Mailrelay API Reference

Get a RSS campaign by id

GET https://{account}/api/v1/rss_campaigns/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a RSS campaign by id

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
subject string Subject
sender_id integer Sender
reply_to string Reply-To email
target string Allows you to specify to whom this RSS campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
preview_text string Preview text
html string HTML
editor_type string The type of editor being used for the RSS campaign: html, mr ( our new block editor) or simple ( a legacy block editor ). RSS campaigns created in API automatically use "html" editor. Please note that it's not possible to update the html content of a campaign that uses a block editor.
url_token boolean Add legacy tokens to URLs
analytics_utm_campaign string Google Analytics™ campaign
use_premailer boolean Apply common fixes for email clients
url string The URL of the RSS feed
frequency string Frequency
hour integer Hour
minute integer Minute
week_days string Week days
month_days string Month days
number_of_entries integer Number of RSS entries that will be parsed on each run
enabled boolean Enabled
created_at string Created at
updated_at string Updated at
track_opens boolean Track opens
track_clicks boolean Track clicks